Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/ChangeLog	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -7,5 +7,5 @@
 
 2021-04-28 Bruce Dubbs <bdubbs@linuxfromscratch.org>
-   * Make check_signal more robust. 
+   * Make check_signal more robust.
    * Use a better methog for killproc to remove a dead pid file.
    * Clarify what signals killproc accepts.
@@ -85,5 +85,5 @@
    * Remove local attribue of some variables for Bourne
      shell compatability
-   * Specify /bin/echo in commands with -e switch for 
+   * Specify /bin/echo in commands with -e switch for
      Bourne shell compatability
 
@@ -122,5 +122,5 @@
    ** Updated ifup.8 to reflect current usage
    ** ifup
-   *** Move interface up logic to after service scripts.  Eliminates the 
+   *** Move interface up logic to after service scripts.  Eliminates the
        need for the LINK_CHECK variable.
    *** Sets the GATEWAY if the variable is set
@@ -168,8 +168,8 @@
    * Create convenience symlink /etc/init.d->/etc/rc.d/init.d.
    * Add help and man pages to upup/ifdown.
-   * Append /run/var/bootlog to /var/log/boot.log at the end of 
+   * Append /run/var/bootlog to /var/log/boot.log at the end of
      the boot sequence.
    * Add capabiltiy to step through the boot scripts at boot time
-   * Optionally allow environment variables in sysconfig directory's 
+   * Optionally allow environment variables in sysconfig directory's
      console, network, and clock files to be placed in rc.site.
    * Add an optional FASTBOOT parameter to set /fastboot when rebooting.
@@ -184,9 +184,9 @@
    ** Add /etc/sysconfig/init_params for adding environmental parameters
       to all functions used in bootscripts
-   ** Move network configuration to /etc/sysconfig/ifconfig.*.  The 
-      ifconfig files can have any extension.  Use IFACE parameter to 
+   ** Move network configuration to /etc/sysconfig/ifconfig.*.  The
+      ifconfig files can have any extension.  Use IFACE parameter to
       specify the target network interface within the configuration file.
-   ** Adds an optional parameter, SKIPTMPCLEAN, to skip the removal of 
-      files in /tmp at bootup.  Specify the variable in 
+   ** Adds an optional parameter, SKIPTMPCLEAN, to skip the removal of
+      files in /tmp at bootup.  Specify the variable in
       /etc/sysconfig/init_params.
 
@@ -224,6 +224,6 @@
 2009-01-02  Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * lfs/init.d/functions:
-   * lfs/sysconfig/network-devices/ifup: 
-     Updated line widths to accommodate pdf generation in both the above 
+   * lfs/sysconfig/network-devices/ifup:
+     Updated line widths to accommodate pdf generation in both the above
      files.
 
@@ -342,5 +342,5 @@
 n/a - June 2, 2006
    * Removed console config file and makefile targets.
-   * Removed references to /dev/bug and bugreport in udevand 
+   * Removed references to /dev/bug and bugreport in udev and
      udev_retry bootscripts. (DJ Lucas)
 
@@ -351,11 +351,11 @@
 
 n/a - April 15, 2006
-   * Cleaned up contrib directory.  Removed: contrib/init.d, 
-     contrib/enhanced, contrib/livecd, contrib/hotplug, and raq2 
+   * Cleaned up contrib directory.  Removed: contrib/init.d,
+     contrib/enhanced, contrib/livecd, contrib/hotplug, and raq2
      patch. (DJ Lucas)
 
 n/a - April 14, 2006
    * Merged changes from udev_update branch (DJ Lucas)
-   * Replaced a return with an exit and reversed comment changes in 
+   * Replaced a return with an exit and reversed comment changes in
      udev bootscript. (Dan Nicholson)
    * Replaced walk_sysfs function in udev bootscript with new udevtrigger
@@ -370,5 +370,5 @@
 
 n/a - March 10, 2006
-   * Moved src argument to ipv4-static-route service script and 
+   * Moved src argument to ipv4-static-route service script and
      removed from ipv4-static service script. (DJ Lucas)
 
@@ -389,11 +389,11 @@
    * Made above killproc/print_status changes in enhanced
      bootscripts.
-   * Made logger service configurable in enhanced 
+   * Made logger service configurable in enhanced
      bootscripts. (DJ Lucas)
 
 n/a - August 14, 2005
-   * Added -s flag to pidofproc() for backwards 
+   * Added -s flag to pidofproc() for backwards
      compatibility (DJ Lucas)
-   * Fixed erronous values returned by pidofproc() which 
+   * Fixed erronous values returned by pidofproc() which
      broke the functionality of statusproc (DJ Lucas)
 
@@ -403,6 +403,6 @@
 
 n/a - June 26, 2005
-   * Removed consolelog script from contrib 
-   * Updated interactive rc script in contrib and added 
+   * Removed consolelog script from contrib
+   * Updated interactive rc script in contrib and added
      README.rc-Interactive, added install target to the
      Makefile. (DJ Lucas)
@@ -600,5 +600,5 @@
 n/a - September 21, 2004
    * boot_mesg has been enhanced.  Subsequent calls will overwrite
-     previous text, and it will wrap text basedupon the variable ${WCOL}. 
+     previous text, and it will wrap text basedupon the variable ${WCOL}.
      (James Robertson)
    * Fixed mtu optional service typo (Kevin P Fleming)
@@ -609,5 +609,5 @@
 
 n/a - September 15, 2004
-   * Added blue bracket, from dj's 3.0-pre1 bootscript package 
+   * Added blue bracket, from dj's 3.0-pre1 bootscript package
      [echo_failure, echo_warning, and echo_ok]
    * Added a new function called boot_mesg, meant to replace the echo
@@ -633,9 +633,8 @@
 
 n/a - August 4, 2004
-   * Added MODE, DIRMODE, and CONFMODE variables to the makefile 
+   * Added MODE, DIRMODE, and CONFMODE variables to the makefile
      to allow permissions to be set at install. (DJ)
 
 n/a - July 31, 2004
-   
    * Moved PIDFILE check to getpids and removed arguments from
      killproc and reloadproc.  Signals are now set at beginning of
@@ -646,5 +645,5 @@
 n/a - July 21, 2004
 
-   * Committed DJ Lucas's patch for the killproc function.  It no 
+   * Committed DJ Lucas's patch for the killproc function.  It no
      longer requires arguments if PIDFILE is set
    * added --backup to all sysconfig configuration files, so they are not
@@ -979,5 +978,5 @@
    * Changed service script install targets to use
      create-service-dir
-   * Added check for dhcpcd service script for stale pid file 
+   * Added check for dhcpcd service script for stale pid file
      Suggested by Jeremy
    * Added ifconfig to ipx service script for hosting device not up
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/Makefile	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -30,5 +30,5 @@
 	ln -sfn       rc.d/init.d ${ETCDIR}/init.d
 
-files: create-dirs 
+files: create-dirs
 	install -m ${MODE} lfs/init.d/checkfs       ${ETCDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/cleanfs       ${ETCDIR}/rc.d/init.d/
@@ -127,5 +127,5 @@
 	rm -rf ${DESTDIR}/lib/services ${DESTDIR}/lib/lsb ${ETCDIR}/rc.d ${ETCDIR}/init.d \
           ${SBIN}/ifup ${SBIN}/ifdown ${MAN8}/ifup.8 ${MAN8}/ifdown.8 \
-          ${ETCDIR}/sysconfig/rc 
+          ${ETCDIR}/sysconfig/rc
 
 .PHONY: all create-dirs install files links rcS rc0 rc1 rc2 rc3 rc4 rc5 rc6 uninstall
Index: bootscripts/README
===================================================================
--- bootscripts/README	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/README	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -49,5 +49,5 @@
       - SKIPTMPCLEAN: skips cleaning of /tmp directory
 
-      /etc/sysconfig/createfiles 
+      /etc/sysconfig/createfiles
          Each line is parsed, using space as a deliminator.
          [NAME] [TYPE] [PERMISSIONS] [USER] [GROUP]
Index: bootscripts/lfs/init.d/checkfs
===================================================================
--- bootscripts/lfs/init.d/checkfs	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/checkfs	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -62,5 +62,5 @@
          log_failure_msg "${msg}"
 
-         log_info_msg "Press Enter to continue..." 
+         log_info_msg "Press Enter to continue..."
          wait_for_user
          /etc/rc.d/init.d/halt stop
@@ -70,5 +70,5 @@
 
       if [ -f /forcefsck ]; then
-         msg="/forcefsck found, forcing file" 
+         msg="/forcefsck found, forcing file"
          msg="${msg} system checks as requested."
          log_success_msg "$msg"
@@ -109,5 +109,5 @@
          log_failure_msg "$msg"
 
-         log_info_msg "Press Enter to continue..." 
+         log_info_msg "Press Enter to continue..."
          wait_for_user
          reboot -f
@@ -126,5 +126,5 @@
          log_failure_msg "$msg"
 
-         log_info_msg "Press Enter to continue..." 
+         log_info_msg "Press Enter to continue..."
          wait_for_user
          /etc/rc.d/init.d/halt stop
Index: bootscripts/lfs/init.d/cleanfs
===================================================================
--- bootscripts/lfs/init.d/cleanfs	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/cleanfs	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -23,5 +23,5 @@
 # Short-Description:   Cleans temporary directories early in the boot process.
 # Description:         Cleans temporary directories /run, /var/lock, and
-#                      optionally, /tmp.  cleanfs also creates /run/utmp 
+#                      optionally, /tmp.  cleanfs also creates /run/utmp
 #                      and any files defined in /etc/sysconfig/createfiles.
 # X-LFS-Provided-By:   LFS
@@ -31,5 +31,5 @@
 
 # Function to create files/directory on boot.
-create_files() 
+create_files()
 {
    # Input to file descriptor 9 and output to stdin (redirection)
@@ -64,11 +64,11 @@
                      mknod "${name}" p
                      ;;
-                  *) 
-                     log_warning_msg "\nUnknown device type: ${dtype}" 
+                  *)
+                     log_warning_msg "\nUnknown device type: ${dtype}"
                      ;;
                esac
                ;;
             *)
-               log_warning_msg "\nUnknown type: ${type}" 
+               log_warning_msg "\nUnknown type: ${type}"
                continue
                ;;
@@ -88,8 +88,8 @@
 case "${1}" in
    start)
-      log_info_msg "Cleaning file systems:" 
+      log_info_msg "Cleaning file systems:"
 
       if [ "${SKIPTMPCLEAN}" = "" ]; then
-         log_info_msg2 " /tmp" 
+         log_info_msg2 " /tmp"
          cd /tmp &&
          find . -xdev -mindepth 1 ! -name lost+found -delete || failed=1
Index: bootscripts/lfs/init.d/console
===================================================================
--- bootscripts/lfs/init.d/console	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/console	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -33,5 +33,5 @@
 [ -r /etc/sysconfig/console ] && . /etc/sysconfig/console
 
-is_true() 
+is_true()
 {
    [ "$1" = "1" ] || [ "$1" = "yes" ] || [ "$1" = "true" ]
@@ -44,6 +44,6 @@
       # See if we need to do anything
       if [ -z "${KEYMAP}"         ] && [ -z "${KEYMAP_CORRECTIONS}" ] &&
-         [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&     
-         ! is_true "${UNICODE}"; then 
+         [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&
+         ! is_true "${UNICODE}"; then
          exit 0
       fi
@@ -86,5 +86,5 @@
          loadkeys ${KEYMAP} >/dev/null 2>&1 ||
          failed=1
-      
+
       [ -z "${KEYMAP_CORRECTIONS}" ] ||
          loadkeys ${KEYMAP_CORRECTIONS} >/dev/null 2>&1 ||
@@ -98,14 +98,14 @@
       # If any of the commands above failed, the trap at the
       # top would set $failed to 1
-      ( exit $failed ) 
+      ( exit $failed )
       evaluate_retval
 
       exit $failed
-      ;;              
+      ;;
 
-   *)                 
+   *)
       echo "Usage:  ${0} {start}"
-      exit 1          
-      ;;              
+      exit 1
+      ;;
 esac
 
Index: bootscripts/lfs/init.d/modules
===================================================================
--- bootscripts/lfs/init.d/modules	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/modules	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -38,5 +38,5 @@
       egrep -qv '^($|#)' /etc/sysconfig/modules || exit 0
 
-      log_info_msg "Loading modules:" 
+      log_info_msg "Loading modules:"
 
       # Only try to load modules if the user has actually given us
@@ -55,5 +55,5 @@
          # Print the module name if successful, otherwise take note.
          if [ $? -eq 0 ]; then
-            log_info_msg2 " ${module}" 
+            log_info_msg2 " ${module}"
          else
             failedmod="${failedmod} ${module}"
@@ -64,8 +64,8 @@
       log_success_msg2
 
-      # Print a failure message with a list of any modules that 
+      # Print a failure message with a list of any modules that
       # may have failed to load.
       if [ -n "${failedmod}" ]; then
-         log_failure_msg "Failed to load modules:${failedmod}" 
+         log_failure_msg "Failed to load modules:${failedmod}"
          exit 1
       fi
Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/mountvirtfs	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -40,5 +40,5 @@
       chmod 1777 /run/shm /run/lock
 
-      log_info_msg "Mounting virtual file systems: ${INFO}/run" 
+      log_info_msg "Mounting virtual file systems: ${INFO}/run"
 
       if ! mountpoint /proc >/dev/null; then
@@ -48,15 +48,15 @@
 
       if ! mountpoint /sys >/dev/null; then
-         log_info_msg2 " ${INFO}/sys" 
+         log_info_msg2 " ${INFO}/sys"
          mount -o nosuid,noexec,nodev /sys || failed=1
       fi
 
       if ! mountpoint /dev >/dev/null; then
-         log_info_msg2 " ${INFO}/dev" 
+         log_info_msg2 " ${INFO}/dev"
          mount -o mode=0755,nosuid /dev  || failed=1
       fi
 
       ln -sfn /run/shm /dev/shm
-      
+
       (exit ${failed})
       evaluate_retval
Index: bootscripts/lfs/init.d/network
===================================================================
--- bootscripts/lfs/init.d/network	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/network	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -44,5 +44,5 @@
    stop)
       # Unmount any network mounted file systems
-       umount --all --force --types nfs,cifs,nfs4 
+       umount --all --force --types nfs,cifs,nfs4
 
       # Reverse list
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/rc	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -19,9 +19,9 @@
    log_failure_msg
    # $i is set when called
-   MSG="FAILURE:\n\nYou should not be reading this error message.\n\n" 
+   MSG="FAILURE:\n\nYou should not be reading this error message.\n\n"
    MSG="${MSG}It means that an unforeseen error took place in\n"
    MSG="${MSG}${i},\n"
    MSG="${MSG}which exited with a return value of ${error_value}.\n"
-  
+
    MSG="${MSG}If you're able to track this error down to a bug in one of\n"
    MSG="${MSG}the files provided by the ${DISTRO_MINI} book,\n"
@@ -37,5 +37,5 @@
    # $i is set when called
    if [ ! -f ${i} ]; then
-      log_warning_msg "${i} is not a valid symlink." 
+      log_warning_msg "${i} is not a valid symlink."
       SCRIPT_STAT="1"
    fi
@@ -103,5 +103,5 @@
 
 if [ ! -d /etc/rc.d/rc${runlevel}.d ]; then
-   log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n" 
+   log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n"
    exit 1
 fi
@@ -110,7 +110,7 @@
 
 # Note: In ${LOGLEVEL:-7}, it is ':' 'dash' '7', not minus 7
-if [ "$runlevel" == "S" ]; then 
-   [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console 
-   dmesg -n "${LOGLEVEL:-7}" 
+if [ "$runlevel" == "S" ]; then
+   [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console
+   dmesg -n "${LOGLEVEL:-7}"
 fi
 
@@ -226,8 +226,8 @@
 if [ "${previous}" == "N" -a  "${runlevel}" != "S" ]; then
    cat $BOOTLOG >> /var/log/boot.log
-      
+
    # Mark the end of boot
    echo "--------" >> /var/log/boot.log
-   
+
    # Remove the temporary file
    rm -f $BOOTLOG 2> /dev/null
Index: bootscripts/lfs/init.d/setclock
===================================================================
--- bootscripts/lfs/init.d/setclock	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/setclock	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -14,5 +14,5 @@
 
 ### BEGIN INIT INFO
-# Provides:            
+# Provides:
 # Required-Start:
 # Should-Start:        modules
Index: bootscripts/lfs/init.d/swap
===================================================================
--- bootscripts/lfs/init.d/swap	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/swap	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -49,5 +49,5 @@
 
    status)
-      log_success_msg "Retrieving swap status." 
+      log_success_msg "Retrieving swap status."
       swapon -s
       ;;
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/udev	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -61,7 +61,7 @@
       # If any LVM based partitions are on the system, ensure they
       # are activated so they can be used.
-      if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi 
+      if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi
 
-      log_success_msg2 
+      log_success_msg2
       ;;
 
Index: bootscripts/lfs/init.d/udev_retry
===================================================================
--- bootscripts/lfs/init.d/udev_retry	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/init.d/udev_retry	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -8,5 +8,5 @@
 #               DJ Lucas - dj@linuxfromscratch.org
 # Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
-#               Bryan Kadzban - 
+#               Bryan Kadzban -
 #
 # Version     : LFS 7.0
@@ -40,5 +40,5 @@
       # From Debian: "copy the rules generated before / was mounted
       # read-write":
-    
+
       for file in ${rundir}/tmp-rules--*; do
          dest=${file##*tmp-rules--}
@@ -48,5 +48,5 @@
       done
 
-      # Re-trigger the uevents that may have failed, 
+      # Re-trigger the uevents that may have failed,
       # in hope they will succeed now
       /bin/sed -e 's/#.*$//' /etc/sysconfig/udev_retry | /bin/grep -v '^$' | \
Index: bootscripts/lfs/lib/services/init-functions
===================================================================
--- bootscripts/lfs/lib/services/init-functions	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/lib/services/init-functions	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -1,5 +1,5 @@
 #!/bin/sh
 ########################################################################
-# 
+#
 # Begin /lib/lsb/init-funtions
 #
@@ -155,5 +155,5 @@
         fi
 
-        # Return a value ONLY 
+        # Return a value ONLY
         # It is the init script's (or distribution's functions) responsibilty
         # to log messages!
@@ -161,5 +161,5 @@
 
             0)
-                # Program is already running correctly, this is a 
+                # Program is already running correctly, this is a
                 # successful start.
                 return 0
@@ -231,5 +231,5 @@
                 shift 2
                 ;;
- 
+
              *)
                  program="${1}"
@@ -244,7 +244,7 @@
                  if [ -n "${3}" ]; then
                      return 2
-                 else 
+                 else
                      break
-                 fi                 
+                 fi
                  ;;
         esac
@@ -322,5 +322,5 @@
     if [ "${?}" -eq "0" ]; then # Signal is used to terminate the program
 
-        # Account for empty pidlist (pid file still exists and no 
+        # Account for empty pidlist (pid file still exists and no
         # signal was given)
         if [ "${pidlist}" != "" ]; then
@@ -337,5 +337,5 @@
                     kill "${signal}" "${pid}" 2> /dev/null
 
-                    # Wait up to ${delay}/10 seconds to for "${pid}" to 
+                    # Wait up to ${delay}/10 seconds to for "${pid}" to
                     # terminate in 10ths of a second
 
@@ -434,5 +434,5 @@
         prefix=`echo "${program}" | sed 's/[^/]*$//'`
 
-        if [ -z "${prefix}" ]; then 
+        if [ -z "${prefix}" ]; then
            progname="${program}"
         else
@@ -584,5 +584,5 @@
     timespec
     /bin/echo -e "${STAMP} ${logmessage} OK" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -594,5 +594,5 @@
 
     echo " OK" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -619,5 +619,5 @@
     logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
     /bin/echo -e "${STAMP} ${logmessage} FAIL" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -629,5 +629,5 @@
 
     echo "FAIL" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -651,5 +651,5 @@
     timespec
     /bin/echo -e "${STAMP} ${logmessage} WARN" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -663,5 +663,5 @@
     logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
     /bin/echo "SKIP" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -684,5 +684,5 @@
     timespec
     /bin/echo -n -e "${STAMP} ${logmessage}" >> ${BOOTLOG}
-    
+
     return 0
 }
@@ -695,5 +695,5 @@
     logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
     /bin/echo -n -e "${logmessage}" >> ${BOOTLOG}
-    
+
     return 0
 }
Index: bootscripts/lfs/lib/services/ipv4-static-route
===================================================================
--- bootscripts/lfs/lib/services/ipv4-static-route	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/lib/services/ipv4-static-route	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -57,8 +57,8 @@
 
    if [ -z "${PREFIX}" ]; then
-      log_failure_msg "PREFIX variable missing from ${IFCONFIG}, cannot continue." 
+      log_failure_msg "PREFIX variable missing from ${IFCONFIG}, cannot continue."
       exit 1
    fi
-   
+
    args="${args} ${IP}/${PREFIX}"
    desc="${desc}${IP}/${PREFIX}"
@@ -83,5 +83,5 @@
       evaluate_retval
    ;;
-   
+
    down)
       log_info_msg "Removing '${desc}' route from the ${1} interface..."
@@ -89,5 +89,5 @@
       evaluate_retval
    ;;
-   
+
    *)
       echo "Usage: ${0} [interface] {up|down}"
Index: bootscripts/lfs/sbin/ifdown
===================================================================
--- bootscripts/lfs/sbin/ifdown	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/sbin/ifdown	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -1,3 +1,3 @@
-#!/bin/bash 
+#!/bin/bash
 ########################################################################
 # Begin /sbin/ifdown
@@ -31,5 +31,5 @@
                        echo "${USAGE}" >& 2
                        exit 2 ;;
-                    
+
       *)               break ;;
    esac
@@ -54,5 +54,5 @@
 [ "${file}" = "${file%""~""}" ] || exit 0
 
-. /lib/lsb/init-functions 
+. /lib/lsb/init-functions
 
 if [ ! -r "${file}" ]; then
Index: bootscripts/lfs/sbin/ifup
===================================================================
--- bootscripts/lfs/sbin/ifup	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/sbin/ifup	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -49,9 +49,9 @@
 
       --version | -V)  echo "${VERSTR}"; exit 0 ;;
-   
+
       -*)              echo "ifup: ${1}: invalid option" >&2
                        echo "${USAGE}" >& 2
                        exit 2 ;;
-                       
+
       *)               break ;;
    esac
@@ -103,5 +103,5 @@
 for S in ${SERVICE}; do
   if [ ! -x "/lib/services/${S}" ]; then
-    MSG="\nUnable to process ${file}.  Either " 
+    MSG="\nUnable to process ${file}.  Either "
     MSG="${MSG}the SERVICE '${S} was not present "
     MSG="${MSG}or cannot be executed."
@@ -114,5 +114,5 @@
 
 # Create/configure the interface
-for S in ${SERVICE}; do 
+for S in ${SERVICE}; do
   IFCONFIG=${file} /lib/services/${S} ${IFACE} up
 done
@@ -129,11 +129,11 @@
 if test -n "${MTU}"; then
    if [[ ${MTU} =~ ^[0-9]+$ ]] && [[ $MTU -ge 68 ]] ; then
-      for I in $IFACE $INTERFACE_COMPONENTS; do 
-         ip link set dev $I mtu $MTU; 
+      for I in $IFACE $INTERFACE_COMPONENTS; do
+         ip link set dev $I mtu $MTU;
       done
    else
       log_info_msg2 "Invalid MTU $MTU"
    fi
-fi 
+fi
 
 # Set the route default gateway if requested
Index: bootscripts/lfs/sbin/ifup.8
===================================================================
--- bootscripts/lfs/sbin/ifup.8	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/sbin/ifup.8	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -15,7 +15,7 @@
 
 DESCRIPTION
-       The  ifup  and  ifdown  commands  may be used to configure 
-       (or, respectively, deconfigure) a network interface based 
-       on interface  definitions in the file 
+       The  ifup  and  ifdown  commands  may be used to configure
+       (or, respectively, deconfigure) a network interface based
+       on interface  definitions in the file
        /etc/sysconfig/ifconfig.IFACE.
 
@@ -31,5 +31,5 @@
 EXAMPLES
        ifup eth0
-              Bring up the interface defined in the file 
+              Bring up the interface defined in the file
               /etc/sysconfig/ifconfig.eth0
 
@@ -50,19 +50,19 @@
                 LABEL=eth0:2
                 SERVICE=dhcpcd
-         
+
                 DHCP_START="--waitip"
                 DHCP_STOP="-k"
-         
+
                 # Set PRINTIP="yes" to have the script print the DHCP IP address
                 PRINTIP="yes"
-         
+
                 # Set PRINTALL="yes" to print the DHCP assigned values for
-                # IP, SM, DG, and 1st NS. 
+                # IP, SM, DG, and 1st NS.
                 PRINTALL="no"
 
        ifup br0
-              Bring up the interface defined in the file 
+              Bring up the interface defined in the file
               /etc/sysconfig/ifconfig.br0
-                    
+
                 ONBOOT=yes
                 IFACE=br0
@@ -78,5 +78,5 @@
 NOTES
        The program does not configure network interfaces direct-
-       ly.  It runs scripts defined by the SERVICE variable in 
+       ly.  It runs scripts defined by the SERVICE variable in
        the network configuration file.
 
@@ -84,9 +84,9 @@
        ment variables set:
 
-       IFACE   - The interface to configure, e.g. eth0.  It must 
+       IFACE   - The interface to configure, e.g. eth0.  It must
                  be available in /sys/class/net.
 
        SERVICE - The service script to run to bring up the inter-
-                 face.  Standard services are ipv4-static and 
+                 face.  Standard services are ipv4-static and
                  ipv4-static-route.  Other services such as dhcp
                  or bridge may be installed.  This value may
@@ -94,11 +94,11 @@
                  compound device such as a bridge.
 
-       ONBOOT  - If set to 'yes', the specified interface is 
+       ONBOOT  - If set to 'yes', the specified interface is
                  configured by the netowrk boot script.
 
        GATEWAY - The default IP address to use for routing if
-                 the destination IP address is not in a static 
-                 route or on a local network, e.g., 192.168.1.1.  
-                 For secondary IP addresses on an interface, this 
+                 the destination IP address is not in a static
+                 route or on a local network, e.g., 192.168.1.1.
+                 For secondary IP addresses on an interface, this
                  parameter should not be specified.  If the service
                  is ipv4-static-route, this parameter must NOT
@@ -106,9 +106,9 @@
 
        STATIC_GATEWAY - The default IP address to use for routing
-                 when setting a static routing address.  
+                 when setting a static routing address.
 
        INTERFACE_COMPONENTS - A list of component interfaces
-                 only needed for a compound device such as a bridge.  
-                 This list is normally a single value, e.g. eth0, 
+                 only needed for a compound device such as a bridge.
+                 This list is normally a single value, e.g. eth0,
                  for use with a virtual host such as kvm.
 
@@ -117,5 +117,5 @@
        ipv4-static
 
-         IP        - The IP address of the interface, 
+         IP        - The IP address of the interface,
                      e.g. 192.168.1.2.
 
@@ -123,12 +123,12 @@
                      number of the interface.  The default, if not
                      specified, is 24.
-       
-         LABEL     - The label to be assigned to the interface.  
+
+         LABEL     - The label to be assigned to the interface.
                      This is normally specified for assigning
                      additional IP addresses to a network
                      device.  Example: eth0:2 (optional)
-       
-         BROADCAST - The brodcast address for this interface, 
-                     e.g 192.168.1.255.  If not specified, 
+
+         BROADCAST - The brodcast address for this interface,
+                     e.g 192.168.1.255.  If not specified,
                      the broadcast address will be calculated
                      from the IP and PREFIX.
@@ -136,5 +136,5 @@
        ipv4-static-route
 
-         TYPE    -  The type of route, typically 'default', 
+         TYPE    -  The type of route, typically 'default',
                     'network', 'or host'.
 
@@ -146,5 +146,5 @@
          STATIC_GATEWAY - The IP address for a network route.
 
-         SOURCE  -  The source IP address to prefer when sending 
+         SOURCE  -  The source IP address to prefer when sending
                     to the destinations covered by the specified
                     route. (optional)
@@ -155,5 +155,5 @@
                       at startup.
 
-         DHCP_STOP  - Optional paremeters to pass to the dhcp client 
+         DHCP_STOP  - Optional paremeters to pass to the dhcp client
                       at shutdown.
 
@@ -165,6 +165,6 @@
 
          IP_FORWARD - An optional flag to enable the system to forward
-                      inbound IP packets received by one interface to 
-                      another outbound interface.  
+                      inbound IP packets received by one interface to
+                      another outbound interface.
 
          STP        - Set bridge spanning tree protocol.  Default is no.
@@ -172,9 +172,9 @@
 FILES
        /etc/sysconfig/ifconfig.*
-              definitions of network interfaces 
+              definitions of network interfaces
 
 AUTHORS
        The ifup/ifdown suite was written by Nathan Coulson
-       <nathan@linuxfromscratch.org> and Kevin P. Fleming 
+       <nathan@linuxfromscratch.org> and Kevin P. Fleming
        <kpfleming@linuxfromscratch.org>
        and updated by Bruce Dubbs <bdubbs@linuxfromscratch>.
Index: bootscripts/lfs/sysconfig/createfiles
===================================================================
--- bootscripts/lfs/sysconfig/createfiles	(revision e7fb2ca433fe6287226b0cd8e6f411717e8d6c1a)
+++ bootscripts/lfs/sysconfig/createfiles	(revision a44ae5771fefbb0487ffa0108fe9287491542733)
@@ -12,5 +12,5 @@
 #  		<filename> <type> <permissions> <user> <group>
 # 		if type is equal to "dev"
-#  		<filename> <type> <permissions> <user> <group> <devtype> 
+#  		<filename> <type> <permissions> <user> <group> <devtype>
 #             <major> <minor>
 #
@@ -23,7 +23,7 @@
 #   			block creates a block device
 #   			char creates a character deivce
-#   			pipe creates a pipe, this will ignore the <major> and 
+#   			pipe creates a pipe, this will ignore the <major> and
 #           <minor> fields
-# 		<major> and <minor> are the major and minor numbers used for 
+# 		<major> and <minor> are the major and minor numbers used for
 #     the device.
 ########################################################################
